Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007773TestLinkUser Interface Customizationpublic2016-12-06 20:212016-12-30 11:07
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.16 (2016 Q4) 
Summary0007773: The new login page doesn't display login_info from custom_config.inc.php
DescriptionIssue similar to 0007710 but for parameter "$tlCfg->login_info"
The new login page doesn't display the custom_config.inc value.
Steps To ReproduceCreate custom_config.inc.php file

include the variable
$tlCfg->login_info = 'TestLink Rocks';

=> login info is not displayed on the login page
Additional InformationProposal to fix the issue :
file : login-model-marcobiedermann.tpl
Insertion from row 37 :

      {if $tlCfg->demoMode}
      

      <div class="grid__container">
      {$labels.demo_usage}
      </div>
      {/if}
      
+ {if $tlCfg->login_info != ""}
+

+ <div class="text--center">
+ {$tlCfg->login_info}
+ </div>
+ {/if}
+
      {if $gui->draw}


Display the "login_info" value before the username form (see attachment).
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySql
BrowserFirefox, Chrome, IE
PHP Version5.5.45
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon Proposal.PNG [^] (17,708 bytes) 2016-12-06 20:21

- Relationships
related to 0007709resolvedfman The system is not accepting the imposed customizations in custom_config.inc.php file. 
child of 0007666assignedfman Availables hot-fixes for 1.9.15 & How To get full fixed package from GitHub 

-  Notes
(0025658)
fman (administrator)
2016-12-06 23:11

Thanks for help, I'm going to fix this
(0025789)
fman (administrator)
2016-12-26 15:51

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/62aa931634dea8bea4461ce36123aaeb73b9d073 [^]
(0025812)
Mr.Bricodage (updater)
2016-12-29 20:28

Issue fixed with your commit.
regards

- Issue History
Date Modified Username Field Change
2016-12-06 20:21 Mr.Bricodage New Issue
2016-12-06 20:21 Mr.Bricodage File Added: Proposal.PNG
2016-12-06 20:21 Mr.Bricodage Issue generated from: 0007709
2016-12-06 20:21 Mr.Bricodage Relationship added related to 0007709
2016-12-06 20:22 Mr.Bricodage Severity crash => minor
2016-12-06 20:22 Mr.Bricodage OS Windows Seven =>
2016-12-06 20:22 Mr.Bricodage OS Version X64 =>
2016-12-06 20:22 Mr.Bricodage Platform We =>
2016-12-06 23:11 fman Note Added: 0025658
2016-12-26 15:51 fman Note Added: 0025789
2016-12-26 15:52 fman QA Team - Task Workflow Status => READY FOR TESTING
2016-12-26 15:52 fman Fixed in Version => 1.9.16 (2016 Q4)
2016-12-26 15:52 fman Assigned To => fman
2016-12-26 15:52 fman Status new => feedback
2016-12-26 15:52 fman Relationship added child of 0007666
2016-12-29 20:28 Mr.Bricodage Note Added: 0025812
2016-12-29 20:28 Mr.Bricodage Status feedback => assigned
2016-12-30 11:07 fman Status assigned => resolved
2016-12-30 11:07 fman Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker